Skip to main content
DELETE
/
api
/
external
/
companies
/
{companyId}
/
events
/
{eventId}
/
lawsuit
Delete Lawsuit
curl --request DELETE \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/events/{eventId}/lawsuit \
  --header 'Authorization: <api-key>'
import requests

url = "https://app.aiinsurance.io/api/external/companies/{companyId}/events/{eventId}/lawsuit"

headers = {"Authorization": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};

fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/events/{eventId}/lawsuit', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "id": "550e8400-e29b-41d4-a716-446655440001", "deleted": true }

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

eventId
string<uuid>
required

Event identifier

Response

Lawsuit deleted

id
string<uuid>

The deleted lawsuit identifier

deleted
boolean

Always true on success